/*
 * xrick/include/draw.h
 *
 * This source code file is part of the xrick distribution, and as such is
 * copyrighted. Please read the README file in the root directory of the
 * distribution for information about copyrights, trademarks, license,
 * disclaimers, etc.
 */

#ifndef _DRAW_H
#define _DRAW_H

#include "system.h"

/* map coordinates of the screen */
#define D_XYMAP_SCRLEFT (-0x0020)
#define D_XYMAP_SCRTOP (0x0040)
/* map coordinates of the top of the hidden bottom of the map */
#define D_XYMAP_HBTOP (0x0100)

U8 *d_fbp;
U8 *d_tllst;
U16 d_filter;
U8 d_tlbank;

extern void d_setfbp(U16, U16);
extern U8 d_clipms(S16 *, S16 *, U16 *, U16 *);
extern void d_tl_lst(void);
extern U8 d_tl_sblst(void);
extern void d_tile(register U8);
#ifdef GFXPC
extern void d_sprite(U8, U8, U16, U16);
#endif
#ifdef GFXST
extern void d_sprite(U8, U16, U16);
#endif
extern void d_sprite2(U8, U16, U16);
extern void d_sprite_back(U16, U16);
extern void d_map(void);
extern void d_cnt(void);
extern void d_cnt_clr(void);
extern void d_pic(U16, U16, U16, U16, U32 *);
extern void d_status(void);

#endif

/* eof */
