/*
 * xrick/src/e_bullet.c
 *
 * This source code file is part of the xrick distribution, and as such is
 * copyrighted. Please read the README file in the root directory of the
 * distribution for information about copyrights, trademarks, license,
 * disclaimers, etc.
 */

#include "system.h"
#include "global.h"
#include "ents.h"
#include "e_bullet.h"

#include "maps.h"

/*
 * public vars
 * public for speed reasons: could be private and accessed via functions
 */
S8 e_bullet_offsx;
S16 e_bullet_xc, e_bullet_yc;


/*
 * Entity action
 *
 * ASM 1883, 0F97
 */
void
e_bullet_action(U8 e) /* warning: unused parameter 'e' */
{
  /* move bullet */
  E_BULLET_ENT.x += e_bullet_offsx;

  if (E_BULLET_ENT.x <= -0x10 || E_BULLET_ENT.x > 0xe8) {
    /* out: deactivate */
    E_BULLET_ENT.n = 0;
  }
  else {
    /* update bullet center coordinates */
    e_bullet_xc = E_BULLET_ENT.x + 0x0c;
    e_bullet_yc = E_BULLET_ENT.y + 0x05;
    if (map_eflg[map_map[e_bullet_yc >> 3][e_bullet_xc >> 3]] &
	MAP_EFLG_SOLID) {
      /* hit something: deactivate */
      E_BULLET_ENT.n = 0;
    }
  }
}


/* eof */


