/*
 * xrick/include/global.h
 *
 * This source code file is part of the xrick distribution, and as such is
 * copyrighted. Please read the README file in the root directory of the
 * distribution for information about copyrights, trademarks, license,
 * disclaimers, etc.
 */

#ifndef _GLOBAL_H
#define _GLOBAL_H

#include "system.h"
#include "rects.h"

/*
 * CHEATS
 */

/* highlight sprites and never hide them */
#define CHEAT_SHOWALL

/*
 * GLOBAL
 */

#define G_DIR_LEFT 0x01
#define G_DIR_RIGHT 0x00

#define G_TRUE 0xff
#define G_FALSE 0x00

#define G_PERIOD 75

extern U8 g_lives;      /* lives counter */
extern U8 g_bombs;      /* bombs counter */
extern U8 g_bullets;    /* bullets counter */

extern U32 g_score;     /* score */

extern U16 g_map;       /* current map */
extern U16 g_submap;    /* current submap */

extern U8 g_dir;        /* direction (G_DIR_LEFT, G_DIR_RIGHT) */
extern U8 g_chsm;       /* change submap request (G_TRUE, G_FALSE) */

extern U8 g_waitkbd;    /* wait for keyboard events? (G_TRUE, G_FALSE) */
extern U8 g_period;     /* time between each frame, in millisecond */

extern rect_t *g_rects; /* rectangles to redraw at each frame */

extern U8 g_cheat1;     /* infinite lives, bombs and bullets */
extern U8 g_cheat2;     /* never die */
extern U8 g_cheat3;     /* highlight sprites */

#endif

/* eof */


