/*
 * xrick/src/scr_gameover.c
 *
 * This source code file is part of the xrick distribution, and as such is
 * copyrighted. Please read the README file in the root directory of the
 * distribution for information about copyrights, trademarks, license,
 * disclaimers, etc.
 */

#include "stdlib.h"

#include "system.h"
#include "global.h"
#include "screens.h"

#include "video.h"
#include "draw.h"
#include "kbd.h"

/*
 * Display the game over screen
 *
 * return: 0 when running, 1 when finished
 */
U8
scr_gameover(void)
{
  static U8 seq = 0;
  static U8 speriod = 0;

  if (seq == 0) {
    d_tlbank = 0;
    seq = 1;
    speriod = g_period;
    g_period = 50;
  }

  switch (seq) {
  case 1:  /* dispay banner */
    d_tllst = scr_gameovertxt;
    d_setfbp(120, 80);
    d_filter = 0xAAAA;
    d_tl_lst();
    
    g_rects = &v_fbrect;
    seq = 2;
    break;

  case 2:  /* wait for key pressed */
    g_rects = NULL;
    if (k_status & K_FIRE)
      seq = 3;
    else
      sys_sleep(50);
    break;

  case 3:  /* wait for key released */
    if (!(k_status & K_FIRE))
      seq = 4;
    else
      sys_sleep(50);
    break;
  }

  if (seq == 4) {  /* we're done */
    v_clear();
    seq = 0;
    g_period = speriod;
    return 1;
  }
  else
    return 0;
}

/* eof */
