/*
 * xrick/src/scr_getname.c
 *
 * This source code file is part of the xrick distribution, and as such is
 * copyrighted. Please read the README file in the root directory of the
 * distribution for information about copyrights, trademarks, license,
 * disclaimers, etc.
 */

#include "system.h"
#include "global.h"
#include "screens.h"

#include "video.h"
#include "draw.h"
#include "kbd.h"

/*
 * local vars
 */
static U8 seq = 0;

/*
 * Get name
 *
 * return: 0 while running, 1 when finished.
 */
U8
scr_getname(void)
{
  if (seq == 0) {
#ifdef DEBUG
    sys_printf("xrick/screens: start getname screen\n");
#endif
    d_tlbank = 0;
    seq = 2;
  }

  switch (seq) {
  case 2:  /* seq 2, wait for key pressed */
    if (k_status & K_FIRE)
      seq = 3;
    else
      sys_sleep(50);
    break;

  case 3:  /* seq 3, wait for key released */
    if (!(k_status & K_FIRE))
      seq = 4;
    else
      sys_sleep(50);
    break;
  }

  if (seq == 4) {  /* seq 4, we're done */
    v_clear();
    seq = 0;
#ifdef DEBUG
    sys_printf("xrick/screens: end getname screen\n");
#endif
    return 1;
  }
  else
    return 0;
}

/* eof */
