/*
 * xrick/include/screens.h
 *
 * This source code file is part of the xrick distribution, and as such is
 * copyrighted. Please read the README file in the root directory of the
 * distribution for information about copyrights, trademarks, license,
 * disclaimers, etc.
 */

#ifndef _SCREENS_H
#define _SCREENS_H

#include "system.h"

#define SCR_TMOUT 4000

typedef struct {
  U16 count;                     /* number of loops for the step */
  U16 dx, dy;                    /* sprite x and y deltas */
  U16 base;                      /* base for sprite numbers table */
} scr_imapsteps_t;                /* description of one step */

extern U8 scr_imapsl[];                    /* sprite lists */
extern scr_imapsteps_t scr_imapsteps[];     /* map intro steps */
extern U8 scr_imapsofs[];                  /* first step for each map */
extern U8 *scr_imaptext[];                /* map intro texts */
extern U8 scr_imainhoft[];                   /* hall of fame title */
extern U8 scr_imainhof[];                     /* hall of fame content */
extern U8 scr_imainrdt[];                      /*rick dangerous title */
extern U8 scr_imaincdc[];                     /* core design copyright text */
extern U8 scr_gameovertxt[];               /* game over */

extern U8 scr_imain(void);      /* main intro */
extern U8 scr_imap(void);       /* map intro */
extern U8 scr_gameover(void);   /* gameover */
extern U8 scr_getname(void);    /* enter you name */

#endif

/* eof */
