/*
 * xrick/src/spr.c
 *
 * This source code file is part of the xrick distribution, and as such is
 * copyrighted. Please read the README file in the root directory of the
 * distribution for information about copyrights, trademarks, license,
 * disclaimers, etc.
 */

#include "system.h"
#include "global.h"
#include "sprites.h"


/*
 * Init
 *
 * ASM 0650 + 069a
 */
#ifdef GFXPC
void
spr_init(void)
{
  U8 i, r, s;

  /*sys_printf("xrick/sprites: prepare sprites planes 1 to %d\n",
    SPR_NBR_PLANES - 1);*/

  for (i = 0; i < SPR_NBR_SPRITES; i++)   /* for each sprite */
    for (r = 0; r < 0x15; r++) {      /* for each line */

      /* shift the four columns - mask */
      for (s = 1; s < SPR_NBR_PLANES; s++) {
	spr_sprites[s][i][3][r].mask = 
	  spr_sprites[s - 1][i][3][r].mask >> 4;
	spr_sprites[s][i][3][r].mask |=
	  ((spr_sprites[s - 1][i][2][r].mask & 0x000f) << 12);
	spr_sprites[s][i][2][r].mask =
	  spr_sprites[s - 1][i][2][r].mask >> 4;
	spr_sprites[s][i][2][r].mask |= 
	  ((spr_sprites[s - 1][i][1][r].mask & 0x000f) << 12);
	spr_sprites[s][i][1][r].mask = 
	  spr_sprites[s - 1][i][1][r].mask >> 4;
	spr_sprites[s][i][1][r].mask |=
	  ((spr_sprites[s - 1][i][0][r].mask & 0x000f) << 12);
	spr_sprites[s][i][0][r].mask =
	  spr_sprites[s - 1][i][0][r].mask >> 4;
	spr_sprites[s][i][0][r].mask |= 0xf000;
      }

      /* shift the four columns - pict */
      for (s = 1; s < SPR_NBR_PLANES; s++) {
	spr_sprites[s][i][3][r].pict =
	  spr_sprites[s - 1][i][3][r].pict >> 4;
	spr_sprites[s][i][3][r].pict |= 
	  ((spr_sprites[s - 1][i][2][r].pict & 0x000f) << 12);
	spr_sprites[s][i][2][r].pict =
	  spr_sprites[s - 1][i][2][r].pict >> 4;
	spr_sprites[s][i][2][r].pict |= 
	  ((spr_sprites[s - 1][i][1][r].pict & 0x000f) << 12);
	spr_sprites[s][i][1][r].pict =
	  spr_sprites[s - 1][i][1][r].pict >> 4;
	spr_sprites[s][i][1][r].pict |= 
	  ((spr_sprites[s - 1][i][0][r].pict & 0x000f) << 12);
	spr_sprites[s][i][0][r].pict =
	  spr_sprites[s - 1][i][0][r].pict >> 4;
      }
    }
}
#endif

/* eof */

