/*
 * xrick/include/video.h
 *
 * This source code file is part of the xrick distribution, and as such is
 * copyrighted. Please read the README file in the root directory of the
 * distribution for information about copyrights, trademarks, license,
 * disclaimers, etc.
 */

#ifndef _VIDEO_H
#define _VIDEO_H

#include "system.h"
#include "rects.h"

#define V_WIDTH 320
#define V_HEIGHT 200
#define V_ZOOM 1

extern U8 v_zoom;                /* zoom */
extern rect_t v_fbrect;          /* whole frame buffer rectangle */

extern void v_init(void);        /* init video */
extern void v_shutdown(void);    /* shutdown video */
extern void v_update(rect_t *);  /* update display */
extern void v_clear(void);       /* clear fb (but display is not updated) */
extern void v_events(void);      /* process events */
extern void v_eventsk(void);     /* process events, wait for key event */

#endif

/* eof */
